Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.utils
Class XMLMessages

    java.lang.Object
      |
      +--weblogic.apache.xerces.utils.XMLMessages

public class XMLMessages
extends java.lang.Object
implements XMLMessageProvider

XMLMessages provides error messages for the XML 1.0 Recommendation and for the Namespaces Recommendation

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`static int` | `CONSTRAINT_MAX_CODE`
`static int` | `MSG_ATT_DEFAULT_INVALID`
`static int` | `MSG_ATTRIBUTE_NAME_REQUIRED_IN_ATTDEF`
`static int` | `MSG_ATTRIBUTE_NOT_DECLARED`
`static int` | `MSG_ATTRIBUTE_NOT_UNIQUE`
`static int` | `MSG_ATTRIBUTE_VALUE_NOT_IN_LIST`
`static int` | `MSG_ATTRIBUTE_VALUE_UNTERMINATED`
`static int` | `MSG_ATTTYPE_REQUIRED_IN_ATTDEF`
`static int` | `MSG_ATTVALUE_CHANGED_DURING_NORMALIZATION_WHEN_STANDALONE`
`static int` | `MSG_AVAILABLE0`
`static int` | `MSG_AVAILABLE1`
`static int` | `MSG_AVAILABLE2`
`static int` | `MSG_AVAILABLE3`
`static int` | `MSG_AVAILABLE4`
`static int` | `MSG_AVAILABLE5`
`static int` | `MSG_AVAILABLE6`
`static int` | `MSG_BAD_MAJORCODE`
`static int` | `MSG_CDEND_IN_CONTENT`
`static int` | `MSG_CDSECT_UNTERMINATED`
`static int` | `MSG_CLOSE_PAREN_REQUIRED_IN_CHILDREN`
`static int` | `MSG_CLOSE_PAREN_REQUIRED_IN_MIXED`
`static int` | `MSG_COMMENT_NOT_IN_ONE_ENTITY`
`static int` | `MSG_COMMENT_UNTERMINATED`
`static int` | `MSG_CONTENT_INCOMPLETE`
`static int` | `MSG_CONTENT_INVALID`
`static int` | `MSG_CONTENTSPEC_REQUIRED_IN_ELEMENTDECL`
`static int` | `MSG_DASH_DASH_IN_COMMENT`
`static int` | `MSG_DEFAULTED_ATTRIBUTE_NOT_SPECIFIED`
`static int` | `MSG_DIGIT_REQUIRED_IN_CHARREF`
`static int` | `MSG_DOCTYPEDECL_UNTERMINATED`
`static int` | `MSG_DTD_SCHEMA_ERROR`
`static int` | `MSG_DUPLICATE_ATTDEF`
`static int` | `MSG_DUPLICATE_TYPE_IN_MIXED_CONTENT`
`static int` | `MSG_ELEMENT_ALREADY_DECLARED`
`static int` | `MSG_ELEMENT_ENTITY_MISMATCH`
`static int` | `MSG_ELEMENT_NOT_DECLARED`
`static int` | `MSG_ELEMENT_TYPE_REQUIRED_IN_ATTLISTDECL`
`static int` | `MSG_ELEMENT_TYPE_REQUIRED_IN_ELEMENTDECL`
`static int` | `MSG_ELEMENT_TYPE_REQUIRED_IN_MIXED_CONTENT`
`static int` | `MSG_ELEMENT_UNTERMINATED`
`static int` | `MSG_ELEMENT_WITH_ID_REQUIRED`
`static int` | `MSG_ELEMENTDECL_UNTERMINATED`
`static int` | `MSG_ENCODING_NOT_SUPPORTED`
`static int` | `MSG_ENCODING_REQUIRED`
`static int` | `MSG_ENCODINGDECL_INVALID`
`static int` | `MSG_ENCODINGDECL_REQUIRED`
`static int` | `MSG_ENTITIES_INVALID`
`static int` | `MSG_ENTITY_INVALID`
`static int` | `MSG_ENTITY_NAME_REQUIRED_IN_ENTITYDECL`
`static int` | `MSG_ENTITY_NOT_DECLARED`
`static int` | `MSG_ENTITYDECL_UNTERMINATED`
`static int` | `MSG_ENUMERATION_UNTERMINATED`
`static int` | `MSG_EQ_REQUIRED_IN_ATTRIBUTE`
`static int` | `MSG_EQ_REQUIRED_IN_TEXTDECL`
`static int` | `MSG_EQ_REQUIRED_IN_XMLDECL`
`static int` | `MSG_ETAG_REQUIRED`
`static int` | `MSG_ETAG_UNTERMINATED`
`static int` | `MSG_EXTERNAL_ENTITY_NOT_PERMITTED`
`static int` | `MSG_EXTERNALID_REQUIRED`
`static int` | `MSG_FIXED_ATTVALUE_INVALID`
`static int` | `MSG_FORMAT_FAILURE`
`static int` | `MSG_GENERIC_SCHEMA_ERROR`
`static int` | `MSG_HEXDIGIT_REQUIRED_IN_CHARREF`
`static int` | `MSG_ID_DEFAULT_TYPE_INVALID`
`static int` | `MSG_ID_INVALID`
`static int` | `MSG_ID_NOT_UNIQUE`
`static int` | `MSG_IDREF_INVALID`
`static int` | `MSG_IDREFS_INVALID`
`static int` | `MSG_IGNORESECT_UNTERMINATED`
`static int` | `MSG_IMPROPER_DECLARATION_NESTING`
`static int` | `MSG_IMPROPER_GROUP_NESTING`
`static int` | `MSG_INCLUDESECT_UNTERMINATED`
`static int` | `MSG_INVALID_CHAR_IN_ATTVALUE`
`static int` | `MSG_INVALID_CHAR_IN_CDSECT`
`static int` | `MSG_INVALID_CHAR_IN_COMMENT`
`static int` | `MSG_INVALID_CHAR_IN_CONTENT`
`static int` | `MSG_INVALID_CHAR_IN_ENTITYVALUE`
`static int` | `MSG_INVALID_CHAR_IN_EXTERNAL_SUBSET`
`static int` | `MSG_INVALID_CHAR_IN_IGNORESECT`
`static int` | `MSG_INVALID_CHAR_IN_INTERNAL_SUBSET`
`static int` | `MSG_INVALID_CHAR_IN_MISC`
`static int` | `MSG_INVALID_CHAR_IN_PI`
`static int` | `MSG_INVALID_CHAR_IN_PROLOG`
`static int` | `MSG_INVALID_CHAR_IN_PUBLICID`
`static int` | `MSG_INVALID_CHAR_IN_SYSTEMID`
`static int` | `MSG_INVALID_CHAR_IN_TEXTDECL`
`static int` | `MSG_INVALID_CHAR_IN_XMLDECL`
`static int` | `MSG_INVALID_CHARREF`
`static int` | `MSG_LESSTHAN_IN_ATTVALUE`
`static int` | `MSG_MARKUP_NOT_RECOGNIZED_IN_CONTENT`
`static int` | `MSG_MARKUP_NOT_RECOGNIZED_IN_DTD`
`static int` | `MSG_MARKUP_NOT_RECOGNIZED_IN_MISC`
`static int` | `MSG_MARKUP_NOT_RECOGNIZED_IN_PROLOG`
`static int` | `MSG_MAX_CODE`
`static int` | `MSG_MAX_ENTITY_REFS_EXCEEDED`
`static int` | `MSG_MIXED_CONTENT_UNTERMINATED`
`static int` | `MSG_MORE_THAN_ONE_ID_ATTRIBUTE`
`static int` | `MSG_MORE_THAN_ONE_NOTATION_ATTRIBUTE`
`static int` | `MSG_NAME_REQUIRED_IN_NOTATIONTYPE`
`static int` | `MSG_NAME_REQUIRED_IN_PEREFERENCE`
`static int` | `MSG_NAME_REQUIRED_IN_REFERENCE`
`static int` | `MSG_NAMESPACE_NAME_EMPTY`
`static int` | `MSG_NMTOKEN_INVALID`
`static int` | `MSG_NMTOKEN_REQUIRED_IN_ENUMERATION`
`static int` | `MSG_NMTOKENS_INVALID`
`static int` | `MSG_NOTATION_NAME_REQUIRED_FOR_UNPARSED_ENTITYDECL`
`static int` | `MSG_NOTATION_NAME_REQUIRED_IN_NOTATIONDECL`
`static int` | `MSG_NOTATION_NOT_DECLARED_FOR_NOTATIONTYPE_ATTRIBUTE`
`static int` | `MSG_NOTATION_NOT_DECLARED_FOR_UNPARSED_ENTITYDECL`
`static int` | `MSG_NOTATIONDECL_UNTERMINATED`
`static int` | `MSG_NOTATIONTYPE_UNTERMINATED`
`static int` | `MSG_OPEN_PAREN_OR_ELEMENT_TYPE_REQUIRED_IN_CHILDREN`
`static int` | `MSG_OPEN_PAREN_REQUIRED_IN_NOTATIONTYPE`
`static int` | `MSG_PEREFERENCE_WITHIN_MARKUP`
`static int` | `MSG_PI_NOT_IN_ONE_ENTITY`
`static int` | `MSG_PI_UNTERMINATED`
`static int` | `MSG_PITARGET_REQUIRED`
`static int` | `MSG_PREFIX_DECLARED`
`static int` | `MSG_PUBIDCHAR_ILLEGAL`
`static int` | `MSG_PUBLICID_UNTERMINATED`
`static int` | `MSG_QUOTE_REQUIRED_IN_ATTVALUE`
`static int` | `MSG_QUOTE_REQUIRED_IN_PUBLICID`
`static int` | `MSG_QUOTE_REQUIRED_IN_SYSTEMID`
`static int` | `MSG_QUOTE_REQUIRED_IN_TEXTDECL`
`static int` | `MSG_QUOTE_REQUIRED_IN_XMLDECL`
`static int` | `MSG_RECURSIVE_PEREFERENCE`
`static int` | `MSG_RECURSIVE_REFERENCE`
`static int` | `MSG_REFERENCE_NOT_IN_ONE_ENTITY`
`static int` | `MSG_REFERENCE_TO_EXTERNAL_ENTITY`
`static int` | `MSG_REFERENCE_TO_EXTERNALLY_DECLARED_ENTITY_WHEN_STANDALONE`
`static int` | `MSG_REFERENCE_TO_UNPARSED_ENTITY`
`static int` | `MSG_REFERENCE_UNTERMINATED`
`static int` | `MSG_REQUIRED_ATTRIBUTE_NOT_SPECIFIED`
`static int` | `MSG_RESERVED_PITARGET`
`static int` | `MSG_ROOT_ELEMENT_REQUIRED`
`static int` | `MSG_ROOT_ELEMENT_TYPE`
`static int` | `MSG_ROOT_ELEMENT_TYPE_REQUIRED`
`static int` | `MSG_SDDECL_INVALID`
`static int` | `MSG_SEMICOLON_REQUIRED_IN_CHARREF`
`static int` | `MSG_SEMICOLON_REQUIRED_IN_PEREFERENCE`
`static int` | `MSG_SEMICOLON_REQUIRED_IN_REFERENCE`
`static int` | `MSG_SPACE_REQUIRED_AFTER_ENTITY_NAME_IN_ENTITYDECL`
`static int` | `MSG_SPACE_REQUIRED_AFTER_FIXED_IN_DEFAULTDECL`
`static int` | `MSG_SPACE_REQUIRED_AFTER_NOTATION_IN_NOTATIONTYPE`
`static int` | `MSG_SPACE_REQUIRED_AFTER_NOTATION_NAME_IN_NOTATIONDECL`
`static int` | `MSG_SPACE_REQUIRED_AFTER_PUBIDLITERAL_IN_EXTERNALID`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_ATTRIBUTE_NAME_IN_ATTDEF`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_ATTTYPE_IN_ATTDEF`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_CONTENTSPEC_IN_ELEMENTDECL`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_DEFAULTDECL_IN_ATTDEF`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ATTLISTDECL`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ELEMENTDECL`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_ENTITY_NAME_IN_ENTITYDECL`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_ENTITY_NAME_IN_PEDECL`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_NOTATION_NAME_IN_NOTATIONDECL`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_NOTATION_NAME_IN_UNPARSED_ENTITYDECL`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_PERCENT_IN_PEDECL`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_PUBIDLITERAL_IN_EXTERNALID`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_ROOT_ELEMENT_TYPE_IN_DOCTYPEDECL`
`static int` | `MSG_SPACE_REQUIRED_BEFORE_SYSTEMLITERAL_IN_EXTERNALID`
`static int` | `MSG_SPACE_REQUIRED_IN_PI`
`static int` | `MSG_SPACE_REQUIRED_IN_TEXTDECL`
`static int` | `MSG_SYSTEMID_UNTERMINATED`
`static int` | `MSG_TEXTDECL_MUST_BE_FIRST`
`static int` | `MSG_TEXTDECL_UNTERMINATED`
`static int` | `MSG_TWO_COLONS_IN_QNAME`
`static int` | `MSG_UNDECLARED_ELEMENT_IN_CONTENTSPEC`
`static int` | `MSG_URI_FRAGMENT_IN_SYSTEMID`
`static int` | `MSG_VERSION_NOT_SUPPORTED`
`static int` | `MSG_VERSIONINFO_INVALID`
`static int` | `MSG_VERSIONINFO_REQUIRED`
`static int` | `MSG_WHITE_SPACE_IN_ELEMENT_CONTENT_WHEN_STANDALONE`
`static int` | `MSG_XML_SPACE_DECLARATION_ILLEGAL`
`static int` | `MSG_XMLDECL_MUST_BE_FIRST`
`static int` | `MSG_XMLDECL_UNTERMINATED`
`static int` | `NC_NAMESPACE_NAME_EMPTY`
`static int` | `NC_PREFIX_DECLARED`
`static int` | `P1_ELEMENT_REQUIRED`
`static int` | `P10_INVALID_CHARACTER`
`static int` | `P10_QUOTE_REQUIRED`
`static int` | `P10_UNTERMINATED`
`static int` | `P11_INVALID_CHARACTER`
`static int` | `P11_QUOTE_REQUIRED`
`static int` | `P11_UNTERMINATED`
`static int` | `P11_URI_FRAGMENT`
`static int` | `P12_INVALID_CHARACTER`
`static int` | `P12_QUOTE_REQUIRED`
`static int` | `P12_UNTERMINATED`
`static int` | `P14_INVALID`
`static int` | `P15_DASH_DASH`
`static int` | `P15_INVALID_CHARACTER`
`static int` | `P15_UNTERMINATED`
`static int` | `P16_INVALID_CHARACTER`
`static int` | `P16_PITARGET_REQUIRED`
`static int` | `P16_REQUIRED`
`static int` | `P16_UNTERMINATED`
`static int` | `P16_WHITESPACE_REQUIRED`
`static int` | `P17_RESERVED_PITARGET`
`static int` | `P18_UNTERMINATED`
`static int` | `P20_INVALID_CHARACTER`
`static int` | `P22_INVALID_CHARACTER`
`static int` | `P22_NOT_RECOGNIZED`
`static int` | `P22_XMLDECL_MUST_BE_FIRST`
`static int` | `P23_UNTERMINATED`
`static int` | `P23_VERSIONINFO_REQUIRED`
`static int` | `P24_EQ_REQUIRED`
`static int` | `P24_QUOTE_REQUIRED`
`static int` | `P26_INVALID_CHARACTER`
`static int` | `P26_INVALID_VALUE`
`static int` | `P26_NOT_SUPPORTED`
`static int` | `P27_INVALID_CHARACTER`
`static int` | `P27_NOT_RECOGNIZED`
`static int` | `P28_INVALID_CHARACTER`
`static int` | `P28_ROOT_ELEMENT_TYPE_REQUIRED`
`static int` | `P28_SPACE_REQUIRED`
`static int` | `P28_UNTERMINATED`
`static int` | `P29_NOT_RECOGNIZED`
`static int` | `P30_INVALID_CHARACTER`
`static int` | `P30_TEXTDECL_MUST_BE_FIRST`
`static int` | `P32_EQ_REQUIRED`
`static int` | `P32_INVALID_CHARACTER`
`static int` | `P32_INVALID_VALUE`
`static int` | `P32_QUOTE_REQUIRED`
`static int` | `P33_INVALID`
`static int` | `P39_ELEMENT_TYPE_REQUIRED`
`static int` | `P39_UNTERMINATED`
`static int` | `P40_UNTERMINATED`
`static int` | `P41_EQ_REQUIRED`
`static int` | `P42_UNTERMINATED`
`static int` | `P43_INVALID_CHARACTER`
`static int` | `P43_NOT_RECOGNIZED`
`static int` | `P45_CONTENTSPEC_REQUIRED`
`static int` | `P45_ELEMENT_TYPE_REQUIRED`
`static int` | `P45_SPACE_REQUIRED`
`static int` | `P45_UNDECLARED_ELEMENT_IN_CONTENTSPEC`
`static int` | `P45_UNTERMINATED`
`static int` | `P47_CLOSE_PAREN_REQUIRED`
`static int` | `P47_OPEN_PAREN_OR_ELEMENT_TYPE_REQUIRED`
`static int` | `P5_INVALID_CHARACTER`
`static int` | `P51_CLOSE_PAREN_REQUIRED`
`static int` | `P51_ELEMENT_TYPE_REQUIRED`
`static int` | `P51_UNTERMINATED`
`static int` | `P52_ELEMENT_TYPE_REQUIRED`
`static int` | `P52_SPACE_REQUIRED`
`static int` | `P53_ATTTYPE_REQUIRED`
`static int` | `P53_DUPLICATE`
`static int` | `P53_NAME_REQUIRED`
`static int` | `P53_SPACE_REQUIRED`
`static int` | `P58_NAME_REQUIRED`
`static int` | `P58_OPEN_PAREN_REQUIRED`
`static int` | `P58_SPACE_REQUIRED`
`static int` | `P58_UNTERMINATED`
`static int` | `P59_NMTOKEN_REQUIRED`
`static int` | `P59_UNTERMINATED`
`static int` | `P60_SPACE_REQUIRED`
`static int` | `P62_UNTERMINATED`
`static int` | `P63_UNTERMINATED`
`static int` | `P65_INVALID_CHARACTER`
`static int` | `P66_DIGIT_REQUIRED`
`static int` | `P66_HEXDIGIT_REQUIRED`
`static int` | `P66_SEMICOLON_REQUIRED`
`static int` | `P67_UNTERMINATED`
`static int` | `P68_NAME_REQUIRED`
`static int` | `P68_SEMICOLON_REQUIRED`
`static int` | `P69_NAME_REQUIRED`
`static int` | `P69_SEMICOLON_REQUIRED`
`static int` | `P70_REQUIRED_NAME`
`static int` | `P70_REQUIRED_SPACE`
`static int` | `P70_SPACE`
`static int` | `P71_UNTERMINATED`
`static int` | `P72_SPACE`
`static int` | `P72_UNTERMINATED`
`static int` | `P75_INVALID`
`static int` | `P75_SPACE_REQUIRED`
`static int` | `P76_REQUIRED`
`static int` | `P76_SPACE_REQUIRED`
`static int` | `P77_ENCODINGDECL_REQUIRED`
`static int` | `P77_UNTERMINATED`
`static int` | `P78_NOT_WELLFORMED`
`static int` | `P80_EQ_REQUIRED`
`static int` | `P80_QUOTE_REQUIRED`
`static int` | `P80_WHITESPACE_REQUIRED`
`static int` | `P81_INVALID_CHARACTER`
`static int` | `P81_INVALID_VALUE`
`static int` | `P81_NOT_SUPPORTED`
`static int` | `P81_REQUIRED`
`static int` | `P82_NAME_REQUIRED`
`static int` | `P82_SPACE_REQUIRED`
`static int` | `P82_UNTERMINATED`
`static int` | `P9_INVALID_CHARACTER`
`static int` | `S2_10_DECLARATION_ILLEGAL`
`static int` | `SCHEMA_GENERIC_ERROR`
`static int` | `VC_ATTRIBUTE_DEFAULT_LEGAL`
`static int` | `VC_ATTRIBUTE_VALUE_TYPE`
`static int` | `VC_ELEMENT_VALID`
`static int` | `VC_ENTITY_DECLARED`
`static int` | `VC_ENTITY_NAME`
`static int` | `VC_ENUMERATION`
`static int` | `VC_FIXED_ATTRIBUTE_DEFAULT`
`static int` | `VC_ID`
`static int` | `VC_ID_ATTRIBUTE_DEFAULT`
`static int` | `VC_IDREF`
`static int` | `VC_NAME_TOKEN`
`static int` | `VC_NO_DUPLICATE_TYPES`
`static int` | `VC_NOTATION_ATTRIBUTES`
`static int` | `VC_NOTATION_DECLARED`
`static int` | `VC_ONE_ID_PER_ELEMENT_TYPE`
`static int` | `VC_ONE_NOTATION_PER_ELEMENT_TYPE`
`static int` | `VC_PROPER_DECLARATION_PE_NESTING`
`static int` | `VC_PROPER_GROUP_PE_NESTING`
`static int` | `VC_REQUIRED_ATTRIBUTE`
`static int` | `VC_ROOT_ELEMENT_TYPE`
`static int` | `VC_STANDALONE_DOCUMENT_DECLARATION`
`static int` | `VC_UNIQUE_ELEMENT_TYPE_DECLARATION`
`static int` | `WFC_ENTITY_DECLARED`
`static int` | `WFC_LEGAL_CHARACTER`
`static int` | `WFC_NO_EXTERNAL_ENTITY_REFERENCES`
`static int` | `WFC_NO_LESSTHAN_IN_ATTVALUE`
`static int` | `WFC_NO_RECURSION`
`static int` | `WFC_PARSED_ENTITY`
`static int` | `WFC_PES_IN_INTERNAL_SUBSET`
`static int` | `WFC_UNIQUE_ATT_SPEC`
`static int` | `WLS_MAX_ENTITY_REFS_EXCEEDED`
`static java.lang.String` | `XML_DOMAIN` The domain of messages concerning the XML 1.0 specification.
`static java.lang.String` | `XMLNS_DOMAIN`

Constructor Summary
`XMLMessages()`

Method Summary
`java.lang.String` | `createMessage(java.util.Locale locale, int majorCode, int minorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` | `getLocale()`
`void` | `setLocale(java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_DOMAIN

    public static final java.lang.String XML_DOMAIN

  The domain of messages concerning the XML 1.0 specification.

### XMLNS_DOMAIN

    public static final java.lang.String XMLNS_DOMAIN

### MSG_BAD_MAJORCODE

    public static final int MSG_BAD_MAJORCODE

### MSG_FORMAT_FAILURE

    public static final int MSG_FORMAT_FAILURE

### MSG_LESSTHAN_IN_ATTVALUE

    public static final int MSG_LESSTHAN_IN_ATTVALUE

### MSG_ROOT_ELEMENT_TYPE

    public static final int MSG_ROOT_ELEMENT_TYPE

### MSG_IDREFS_INVALID

    public static final int MSG_IDREFS_INVALID

### MSG_NMTOKENS_INVALID

    public static final int MSG_NMTOKENS_INVALID

### MSG_RESERVED_PITARGET

    public static final int MSG_RESERVED_PITARGET

### MSG_SPACE_REQUIRED_IN_PI

    public static final int MSG_SPACE_REQUIRED_IN_PI

### MSG_INVALID_CHAR_IN_PI

    public static final int MSG_INVALID_CHAR_IN_PI

### MSG_DASH_DASH_IN_COMMENT

    public static final int MSG_DASH_DASH_IN_COMMENT

### MSG_INVALID_CHAR_IN_COMMENT

    public static final int MSG_INVALID_CHAR_IN_COMMENT

### MSG_INVALID_CHARREF

    public static final int MSG_INVALID_CHARREF

### MSG_INVALID_CHAR_IN_ATTVALUE

    public static final int MSG_INVALID_CHAR_IN_ATTVALUE

### MSG_QUOTE_REQUIRED_IN_ATTVALUE

    public static final int MSG_QUOTE_REQUIRED_IN_ATTVALUE

### MSG_NAME_REQUIRED_IN_REFERENCE

    public static final int MSG_NAME_REQUIRED_IN_REFERENCE

### MSG_SEMICOLON_REQUIRED_IN_REFERENCE

    public static final int MSG_SEMICOLON_REQUIRED_IN_REFERENCE

### MSG_DIGIT_REQUIRED_IN_CHARREF

    public static final int MSG_DIGIT_REQUIRED_IN_CHARREF

### MSG_HEXDIGIT_REQUIRED_IN_CHARREF

    public static final int MSG_HEXDIGIT_REQUIRED_IN_CHARREF

### MSG_SEMICOLON_REQUIRED_IN_CHARREF

    public static final int MSG_SEMICOLON_REQUIRED_IN_CHARREF

### MSG_QUOTE_REQUIRED_IN_SYSTEMID

    public static final int MSG_QUOTE_REQUIRED_IN_SYSTEMID

### MSG_INVALID_CHAR_IN_SYSTEMID

    public static final int MSG_INVALID_CHAR_IN_SYSTEMID

### MSG_QUOTE_REQUIRED_IN_PUBLICID

    public static final int MSG_QUOTE_REQUIRED_IN_PUBLICID

### MSG_INVALID_CHAR_IN_PUBLICID

    public static final int MSG_INVALID_CHAR_IN_PUBLICID

### MSG_INCLUDESECT_UNTERMINATED

    public static final int MSG_INCLUDESECT_UNTERMINATED

### MSG_IGNORESECT_UNTERMINATED

    public static final int MSG_IGNORESECT_UNTERMINATED

### MSG_INVALID_CHAR_IN_IGNORESECT

    public static final int MSG_INVALID_CHAR_IN_IGNORESECT

### MSG_ELEMENT_UNTERMINATED

    public static final int MSG_ELEMENT_UNTERMINATED

### MSG_EQ_REQUIRED_IN_ATTRIBUTE

    public static final int MSG_EQ_REQUIRED_IN_ATTRIBUTE

### MSG_ATTRIBUTE_NOT_UNIQUE

    public static final int MSG_ATTRIBUTE_NOT_UNIQUE

### MSG_ENCODINGDECL_REQUIRED

    public static final int MSG_ENCODINGDECL_REQUIRED

### MSG_VERSIONINFO_REQUIRED

    public static final int MSG_VERSIONINFO_REQUIRED

### MSG_EQ_REQUIRED_IN_XMLDECL

    public static final int MSG_EQ_REQUIRED_IN_XMLDECL

### MSG_EQ_REQUIRED_IN_TEXTDECL

    public static final int MSG_EQ_REQUIRED_IN_TEXTDECL

### MSG_QUOTE_REQUIRED_IN_XMLDECL

    public static final int MSG_QUOTE_REQUIRED_IN_XMLDECL

### MSG_QUOTE_REQUIRED_IN_TEXTDECL

    public static final int MSG_QUOTE_REQUIRED_IN_TEXTDECL

### MSG_INVALID_CHAR_IN_XMLDECL

    public static final int MSG_INVALID_CHAR_IN_XMLDECL

### MSG_INVALID_CHAR_IN_TEXTDECL

    public static final int MSG_INVALID_CHAR_IN_TEXTDECL

### MSG_VERSIONINFO_INVALID

    public static final int MSG_VERSIONINFO_INVALID

### MSG_VERSION_NOT_SUPPORTED

    public static final int MSG_VERSION_NOT_SUPPORTED

### MSG_SPACE_REQUIRED_IN_TEXTDECL

    public static final int MSG_SPACE_REQUIRED_IN_TEXTDECL

### MSG_ENCODINGDECL_INVALID

    public static final int MSG_ENCODINGDECL_INVALID

### MSG_SDDECL_INVALID

    public static final int MSG_SDDECL_INVALID

### MSG_XMLDECL_UNTERMINATED

    public static final int MSG_XMLDECL_UNTERMINATED

### MSG_TEXTDECL_UNTERMINATED

    public static final int MSG_TEXTDECL_UNTERMINATED

### MSG_INVALID_CHAR_IN_INTERNAL_SUBSET

    public static final int MSG_INVALID_CHAR_IN_INTERNAL_SUBSET

### MSG_INVALID_CHAR_IN_EXTERNAL_SUBSET

    public static final int MSG_INVALID_CHAR_IN_EXTERNAL_SUBSET

### MSG_INVALID_CHAR_IN_ENTITYVALUE

    public static final int MSG_INVALID_CHAR_IN_ENTITYVALUE

### MSG_MIXED_CONTENT_UNTERMINATED

    public static final int MSG_MIXED_CONTENT_UNTERMINATED

### MSG_NAME_REQUIRED_IN_PEREFERENCE

    public static final int MSG_NAME_REQUIRED_IN_PEREFERENCE

### MSG_SEMICOLON_REQUIRED_IN_PEREFERENCE

    public static final int MSG_SEMICOLON_REQUIRED_IN_PEREFERENCE

### MSG_EXTERNALID_REQUIRED

    public static final int MSG_EXTERNALID_REQUIRED

### MSG_PEREFERENCE_WITHIN_MARKUP

    public static final int MSG_PEREFERENCE_WITHIN_MARKUP

### MSG_INVALID_CHAR_IN_PROLOG

    public static final int MSG_INVALID_CHAR_IN_PROLOG

### MSG_INVALID_CHAR_IN_MISC

    public static final int MSG_INVALID_CHAR_IN_MISC

### MSG_INVALID_CHAR_IN_CDSECT

    public static final int MSG_INVALID_CHAR_IN_CDSECT

### MSG_INVALID_CHAR_IN_CONTENT

    public static final int MSG_INVALID_CHAR_IN_CONTENT

### MSG_ETAG_REQUIRED

    public static final int MSG_ETAG_REQUIRED

### MSG_ETAG_UNTERMINATED

    public static final int MSG_ETAG_UNTERMINATED

### MSG_ATTRIBUTE_NAME_REQUIRED_IN_ATTDEF

    public static final int MSG_ATTRIBUTE_NAME_REQUIRED_IN_ATTDEF

### MSG_ATTTYPE_REQUIRED_IN_ATTDEF

    public static final int MSG_ATTTYPE_REQUIRED_IN_ATTDEF

### MSG_PUBIDCHAR_ILLEGAL

    public static final int MSG_PUBIDCHAR_ILLEGAL

### MSG_ENCODING_NOT_SUPPORTED

    public static final int MSG_ENCODING_NOT_SUPPORTED

### MSG_ENTITY_NOT_DECLARED

    public static final int MSG_ENTITY_NOT_DECLARED

### MSG_REFERENCE_TO_UNPARSED_ENTITY

    public static final int MSG_REFERENCE_TO_UNPARSED_ENTITY

### MSG_REFERENCE_TO_EXTERNAL_ENTITY

    public static final int MSG_REFERENCE_TO_EXTERNAL_ENTITY

### MSG_AVAILABLE0

    public static final int MSG_AVAILABLE0

### MSG_CDSECT_UNTERMINATED

    public static final int MSG_CDSECT_UNTERMINATED

### MSG_DUPLICATE_TYPE_IN_MIXED_CONTENT

    public static final int MSG_DUPLICATE_TYPE_IN_MIXED_CONTENT

### MSG_ELEMENT_ENTITY_MISMATCH

    public static final int MSG_ELEMENT_ENTITY_MISMATCH

### MSG_ID_DEFAULT_TYPE_INVALID

    public static final int MSG_ID_DEFAULT_TYPE_INVALID

### MSG_ENCODING_REQUIRED

    public static final int MSG_ENCODING_REQUIRED

### MSG_RECURSIVE_REFERENCE

    public static final int MSG_RECURSIVE_REFERENCE

### MSG_RECURSIVE_PEREFERENCE

    public static final int MSG_RECURSIVE_PEREFERENCE

### MSG_IMPROPER_DECLARATION_NESTING

    public static final int MSG_IMPROPER_DECLARATION_NESTING

### MSG_IMPROPER_GROUP_NESTING

    public static final int MSG_IMPROPER_GROUP_NESTING

### MSG_ID_INVALID

    public static final int MSG_ID_INVALID

### MSG_ID_NOT_UNIQUE

    public static final int MSG_ID_NOT_UNIQUE

### MSG_IDREF_INVALID

    public static final int MSG_IDREF_INVALID

### MSG_NMTOKEN_INVALID

    public static final int MSG_NMTOKEN_INVALID

### MSG_ENTITY_INVALID

    public static final int MSG_ENTITY_INVALID

### MSG_ENTITIES_INVALID

    public static final int MSG_ENTITIES_INVALID

### MSG_ELEMENT_WITH_ID_REQUIRED

    public static final int MSG_ELEMENT_WITH_ID_REQUIRED

### MSG_ATTRIBUTE_NOT_DECLARED

    public static final int MSG_ATTRIBUTE_NOT_DECLARED

### MSG_ELEMENT_NOT_DECLARED

    public static final int MSG_ELEMENT_NOT_DECLARED

### MSG_AVAILABLE1

    public static final int MSG_AVAILABLE1

### MSG_DUPLICATE_ATTDEF

    public static final int MSG_DUPLICATE_ATTDEF

### MSG_MORE_THAN_ONE_ID_ATTRIBUTE

    public static final int MSG_MORE_THAN_ONE_ID_ATTRIBUTE

### MSG_CONTENT_INVALID

    public static final int MSG_CONTENT_INVALID

### MSG_CONTENT_INCOMPLETE

    public static final int MSG_CONTENT_INCOMPLETE

### MSG_ELEMENT_ALREADY_DECLARED

    public static final int MSG_ELEMENT_ALREADY_DECLARED

### MSG_ATTRIBUTE_VALUE_NOT_IN_LIST

    public static final int MSG_ATTRIBUTE_VALUE_NOT_IN_LIST

### MSG_AVAILABLE2

    public static final int MSG_AVAILABLE2

### MSG_UNDECLARED_ELEMENT_IN_CONTENTSPEC

    public static final int MSG_UNDECLARED_ELEMENT_IN_CONTENTSPEC

### MSG_FIXED_ATTVALUE_INVALID

    public static final int MSG_FIXED_ATTVALUE_INVALID

### MSG_REQUIRED_ATTRIBUTE_NOT_SPECIFIED

    public static final int MSG_REQUIRED_ATTRIBUTE_NOT_SPECIFIED

### MSG_DEFAULTED_ATTRIBUTE_NOT_SPECIFIED

    public static final int MSG_DEFAULTED_ATTRIBUTE_NOT_SPECIFIED

### MSG_AVAILABLE3

    public static final int MSG_AVAILABLE3

### MSG_AVAILABLE4

    public static final int MSG_AVAILABLE4

### MSG_CLOSE_PAREN_REQUIRED_IN_CHILDREN

    public static final int MSG_CLOSE_PAREN_REQUIRED_IN_CHILDREN

### MSG_AVAILABLE5

    public static final int MSG_AVAILABLE5

### MSG_SYSTEMID_UNTERMINATED

    public static final int MSG_SYSTEMID_UNTERMINATED

### MSG_PUBLICID_UNTERMINATED

    public static final int MSG_PUBLICID_UNTERMINATED

### MSG_EXTERNAL_ENTITY_NOT_PERMITTED

    public static final int MSG_EXTERNAL_ENTITY_NOT_PERMITTED

### MSG_AVAILABLE6

    public static final int MSG_AVAILABLE6

### MSG_XMLDECL_MUST_BE_FIRST

    public static final int MSG_XMLDECL_MUST_BE_FIRST

### MSG_TEXTDECL_MUST_BE_FIRST

    public static final int MSG_TEXTDECL_MUST_BE_FIRST

### MSG_ELEMENTDECL_UNTERMINATED

    public static final int MSG_ELEMENTDECL_UNTERMINATED

### MSG_SPACE_REQUIRED_BEFORE_ENTITY_NAME_IN_PEDECL

    public static final int MSG_SPACE_REQUIRED_BEFORE_ENTITY_NAME_IN_PEDECL

### MSG_SPACE_REQUIRED_BEFORE_ENTITY_NAME_IN_ENTITYDECL

    public static final int MSG_SPACE_REQUIRED_BEFORE_ENTITY_NAME_IN_ENTITYDECL

### MSG_SPACE_REQUIRED_BEFORE_PERCENT_IN_PEDECL

    public static final int MSG_SPACE_REQUIRED_BEFORE_PERCENT_IN_PEDECL

### MSG_ENTITY_NAME_REQUIRED_IN_ENTITYDECL

    public static final int MSG_ENTITY_NAME_REQUIRED_IN_ENTITYDECL

### MSG_SPACE_REQUIRED_AFTER_ENTITY_NAME_IN_ENTITYDECL

    public static final int MSG_SPACE_REQUIRED_AFTER_ENTITY_NAME_IN_ENTITYDECL

### MSG_ENTITYDECL_UNTERMINATED

    public static final int MSG_ENTITYDECL_UNTERMINATED

### MSG_NOTATION_NAME_REQUIRED_FOR_UNPARSED_ENTITYDECL

    public static final int MSG_NOTATION_NAME_REQUIRED_FOR_UNPARSED_ENTITYDECL

### MSG_NOTATION_NOT_DECLARED_FOR_UNPARSED_ENTITYDECL

    public static final int MSG_NOTATION_NOT_DECLARED_FOR_UNPARSED_ENTITYDECL

### MSG_NAME_REQUIRED_IN_NOTATIONTYPE

    public static final int MSG_NAME_REQUIRED_IN_NOTATIONTYPE

### MSG_NMTOKEN_REQUIRED_IN_ENUMERATION

    public static final int MSG_NMTOKEN_REQUIRED_IN_ENUMERATION

### MSG_NOTATION_NOT_DECLARED_FOR_NOTATIONTYPE_ATTRIBUTE

    public static final int MSG_NOTATION_NOT_DECLARED_FOR_NOTATIONTYPE_ATTRIBUTE

### MSG_NOTATIONTYPE_UNTERMINATED

    public static final int MSG_NOTATIONTYPE_UNTERMINATED

### MSG_ENUMERATION_UNTERMINATED

    public static final int MSG_ENUMERATION_UNTERMINATED

### MSG_NOTATION_NAME_REQUIRED_IN_NOTATIONDECL

    public static final int MSG_NOTATION_NAME_REQUIRED_IN_NOTATIONDECL

### MSG_MORE_THAN_ONE_NOTATION_ATTRIBUTE

    public static final int MSG_MORE_THAN_ONE_NOTATION_ATTRIBUTE

### MSG_NOTATIONDECL_UNTERMINATED

    public static final int MSG_NOTATIONDECL_UNTERMINATED

### MSG_ATTVALUE_CHANGED_DURING_NORMALIZATION_WHEN_STANDALONE

    public static final int MSG_ATTVALUE_CHANGED_DURING_NORMALIZATION_WHEN_STANDALONE

### MSG_CDEND_IN_CONTENT

    public static final int MSG_CDEND_IN_CONTENT

### MSG_ELEMENT_TYPE_REQUIRED_IN_ATTLISTDECL

    public static final int MSG_ELEMENT_TYPE_REQUIRED_IN_ATTLISTDECL

### MSG_TWO_COLONS_IN_QNAME

    public static final int MSG_TWO_COLONS_IN_QNAME

### MSG_MARKUP_NOT_RECOGNIZED_IN_CONTENT

    public static final int MSG_MARKUP_NOT_RECOGNIZED_IN_CONTENT

### MSG_MARKUP_NOT_RECOGNIZED_IN_MISC

    public static final int MSG_MARKUP_NOT_RECOGNIZED_IN_MISC

### MSG_MARKUP_NOT_RECOGNIZED_IN_PROLOG

    public static final int MSG_MARKUP_NOT_RECOGNIZED_IN_PROLOG

### MSG_OPEN_PAREN_REQUIRED_IN_NOTATIONTYPE

    public static final int MSG_OPEN_PAREN_REQUIRED_IN_NOTATIONTYPE

### MSG_PITARGET_REQUIRED

    public static final int MSG_PITARGET_REQUIRED

### MSG_REFERENCE_TO_EXTERNALLY_DECLARED_ENTITY_WHEN_STANDALONE

    public static final int MSG_REFERENCE_TO_EXTERNALLY_DECLARED_ENTITY_WHEN_STANDALONE

### MSG_URI_FRAGMENT_IN_SYSTEMID

    public static final int MSG_URI_FRAGMENT_IN_SYSTEMID

### MSG_ROOT_ELEMENT_REQUIRED

    public static final int MSG_ROOT_ELEMENT_REQUIRED

### MSG_SPACE_REQUIRED_AFTER_FIXED_IN_DEFAULTDECL

    public static final int MSG_SPACE_REQUIRED_AFTER_FIXED_IN_DEFAULTDECL

### MSG_SPACE_REQUIRED_AFTER_NOTATION_IN_NOTATIONTYPE

    public static final int MSG_SPACE_REQUIRED_AFTER_NOTATION_IN_NOTATIONTYPE

### MSG_SPACE_REQUIRED_AFTER_NOTATION_NAME_IN_NOTATIONDECL

    public static final int MSG_SPACE_REQUIRED_AFTER_NOTATION_NAME_IN_NOTATIONDECL

### MSG_SPACE_REQUIRED_BEFORE_ATTRIBUTE_NAME_IN_ATTDEF

    public static final int MSG_SPACE_REQUIRED_BEFORE_ATTRIBUTE_NAME_IN_ATTDEF

### MSG_SPACE_REQUIRED_BEFORE_ATTTYPE_IN_ATTDEF

    public static final int MSG_SPACE_REQUIRED_BEFORE_ATTTYPE_IN_ATTDEF

### MSG_SPACE_REQUIRED_BEFORE_DEFAULTDECL_IN_ATTDEF

    public static final int MSG_SPACE_REQUIRED_BEFORE_DEFAULTDECL_IN_ATTDEF

### MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ATTLISTDECL

    public static final int MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ATTLISTDECL

### MSG_SPACE_REQUIRED_BEFORE_NOTATION_NAME_IN_NOTATIONDECL

    public static final int MSG_SPACE_REQUIRED_BEFORE_NOTATION_NAME_IN_NOTATIONDECL

### MSG_WHITE_SPACE_IN_ELEMENT_CONTENT_WHEN_STANDALONE

    public static final int MSG_WHITE_SPACE_IN_ELEMENT_CONTENT_WHEN_STANDALONE

### MSG_XML_SPACE_DECLARATION_ILLEGAL

    public static final int MSG_XML_SPACE_DECLARATION_ILLEGAL

### MSG_CLOSE_PAREN_REQUIRED_IN_MIXED

    public static final int MSG_CLOSE_PAREN_REQUIRED_IN_MIXED

### MSG_CONTENTSPEC_REQUIRED_IN_ELEMENTDECL

    public static final int MSG_CONTENTSPEC_REQUIRED_IN_ELEMENTDECL

### MSG_DOCTYPEDECL_UNTERMINATED

    public static final int MSG_DOCTYPEDECL_UNTERMINATED

### MSG_ELEMENT_TYPE_REQUIRED_IN_ELEMENTDECL

    public static final int MSG_ELEMENT_TYPE_REQUIRED_IN_ELEMENTDECL

### MSG_ELEMENT_TYPE_REQUIRED_IN_MIXED_CONTENT

    public static final int MSG_ELEMENT_TYPE_REQUIRED_IN_MIXED_CONTENT

### MSG_MARKUP_NOT_RECOGNIZED_IN_DTD

    public static final int MSG_MARKUP_NOT_RECOGNIZED_IN_DTD

### MSG_ATTRIBUTE_VALUE_UNTERMINATED

    public static final int MSG_ATTRIBUTE_VALUE_UNTERMINATED

### MSG_OPEN_PAREN_OR_ELEMENT_TYPE_REQUIRED_IN_CHILDREN

    public static final int MSG_OPEN_PAREN_OR_ELEMENT_TYPE_REQUIRED_IN_CHILDREN

### MSG_ROOT_ELEMENT_TYPE_REQUIRED

    public static final int MSG_ROOT_ELEMENT_TYPE_REQUIRED

### MSG_SPACE_REQUIRED_AFTER_PUBIDLITERAL_IN_EXTERNALID

    public static final int MSG_SPACE_REQUIRED_AFTER_PUBIDLITERAL_IN_EXTERNALID

### MSG_SPACE_REQUIRED_BEFORE_CONTENTSPEC_IN_ELEMENTDECL

    public static final int MSG_SPACE_REQUIRED_BEFORE_CONTENTSPEC_IN_ELEMENTDECL

### MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ELEMENTDECL

    public static final int MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ELEMENTDECL

### MSG_SPACE_REQUIRED_BEFORE_NOTATION_NAME_IN_UNPARSED_ENTITYDECL

    public static final int MSG_SPACE_REQUIRED_BEFORE_NOTATION_NAME_IN_UNPARSED_ENTITYDECL

### MSG_SPACE_REQUIRED_BEFORE_PUBIDLITERAL_IN_EXTERNALID

    public static final int MSG_SPACE_REQUIRED_BEFORE_PUBIDLITERAL_IN_EXTERNALID

### MSG_SPACE_REQUIRED_BEFORE_ROOT_ELEMENT_TYPE_IN_DOCTYPEDECL

    public static final int MSG_SPACE_REQUIRED_BEFORE_ROOT_ELEMENT_TYPE_IN_DOCTYPEDECL

### MSG_SPACE_REQUIRED_BEFORE_SYSTEMLITERAL_IN_EXTERNALID

    public static final int MSG_SPACE_REQUIRED_BEFORE_SYSTEMLITERAL_IN_EXTERNALID

### MSG_REFERENCE_NOT_IN_ONE_ENTITY

    public static final int MSG_REFERENCE_NOT_IN_ONE_ENTITY

### MSG_COMMENT_NOT_IN_ONE_ENTITY

    public static final int MSG_COMMENT_NOT_IN_ONE_ENTITY

### MSG_COMMENT_UNTERMINATED

    public static final int MSG_COMMENT_UNTERMINATED

### MSG_PI_UNTERMINATED

    public static final int MSG_PI_UNTERMINATED

### MSG_PI_NOT_IN_ONE_ENTITY

    public static final int MSG_PI_NOT_IN_ONE_ENTITY

### MSG_REFERENCE_UNTERMINATED

    public static final int MSG_REFERENCE_UNTERMINATED

### MSG_PREFIX_DECLARED

    public static final int MSG_PREFIX_DECLARED

### MSG_ATT_DEFAULT_INVALID

    public static final int MSG_ATT_DEFAULT_INVALID

### MSG_GENERIC_SCHEMA_ERROR

    public static final int MSG_GENERIC_SCHEMA_ERROR

### MSG_DTD_SCHEMA_ERROR

    public static final int MSG_DTD_SCHEMA_ERROR

### MSG_NAMESPACE_NAME_EMPTY

    public static final int MSG_NAMESPACE_NAME_EMPTY

### MSG_MAX_ENTITY_REFS_EXCEEDED

    public static final int MSG_MAX_ENTITY_REFS_EXCEEDED

### MSG_MAX_CODE

    public static final int MSG_MAX_CODE

### VC_ROOT_ELEMENT_TYPE

    public static final int VC_ROOT_ELEMENT_TYPE

### VC_IDREF

    public static final int VC_IDREF

### VC_NAME_TOKEN

    public static final int VC_NAME_TOKEN

### P17_RESERVED_PITARGET

    public static final int P17_RESERVED_PITARGET

### P16_WHITESPACE_REQUIRED

    public static final int P16_WHITESPACE_REQUIRED

### P16_INVALID_CHARACTER

    public static final int P16_INVALID_CHARACTER

### P15_DASH_DASH

    public static final int P15_DASH_DASH

### P15_INVALID_CHARACTER

    public static final int P15_INVALID_CHARACTER

### WFC_LEGAL_CHARACTER

    public static final int WFC_LEGAL_CHARACTER

### P10_INVALID_CHARACTER

    public static final int P10_INVALID_CHARACTER

### WFC_NO_LESSTHAN_IN_ATTVALUE

    public static final int WFC_NO_LESSTHAN_IN_ATTVALUE

### P10_QUOTE_REQUIRED

    public static final int P10_QUOTE_REQUIRED

### P68_NAME_REQUIRED

    public static final int P68_NAME_REQUIRED

### P68_SEMICOLON_REQUIRED

    public static final int P68_SEMICOLON_REQUIRED

### P66_DIGIT_REQUIRED

    public static final int P66_DIGIT_REQUIRED

### P66_HEXDIGIT_REQUIRED

    public static final int P66_HEXDIGIT_REQUIRED

### P66_SEMICOLON_REQUIRED

    public static final int P66_SEMICOLON_REQUIRED

### P11_QUOTE_REQUIRED

    public static final int P11_QUOTE_REQUIRED

### P11_INVALID_CHARACTER

    public static final int P11_INVALID_CHARACTER

### P12_QUOTE_REQUIRED

    public static final int P12_QUOTE_REQUIRED

### P12_INVALID_CHARACTER

    public static final int P12_INVALID_CHARACTER

### P62_UNTERMINATED

    public static final int P62_UNTERMINATED

### P63_UNTERMINATED

    public static final int P63_UNTERMINATED

### P65_INVALID_CHARACTER

    public static final int P65_INVALID_CHARACTER

### P40_UNTERMINATED

    public static final int P40_UNTERMINATED

### P41_EQ_REQUIRED

    public static final int P41_EQ_REQUIRED

### WFC_UNIQUE_ATT_SPEC

    public static final int WFC_UNIQUE_ATT_SPEC

### P77_ENCODINGDECL_REQUIRED

    public static final int P77_ENCODINGDECL_REQUIRED

### P23_VERSIONINFO_REQUIRED

    public static final int P23_VERSIONINFO_REQUIRED

### P24_EQ_REQUIRED

    public static final int P24_EQ_REQUIRED

### P32_EQ_REQUIRED

    public static final int P32_EQ_REQUIRED

### P80_EQ_REQUIRED

    public static final int P80_EQ_REQUIRED

### P24_QUOTE_REQUIRED

    public static final int P24_QUOTE_REQUIRED

### P32_QUOTE_REQUIRED

    public static final int P32_QUOTE_REQUIRED

### P80_QUOTE_REQUIRED

    public static final int P80_QUOTE_REQUIRED

### P26_INVALID_CHARACTER

    public static final int P26_INVALID_CHARACTER

### P32_INVALID_CHARACTER

    public static final int P32_INVALID_CHARACTER

### P81_INVALID_CHARACTER

    public static final int P81_INVALID_CHARACTER

### P26_INVALID_VALUE

    public static final int P26_INVALID_VALUE

### P26_NOT_SUPPORTED

    public static final int P26_NOT_SUPPORTED

### P80_WHITESPACE_REQUIRED

    public static final int P80_WHITESPACE_REQUIRED

### P81_INVALID_VALUE

    public static final int P81_INVALID_VALUE

### P32_INVALID_VALUE

    public static final int P32_INVALID_VALUE

### P23_UNTERMINATED

    public static final int P23_UNTERMINATED

### P77_UNTERMINATED

    public static final int P77_UNTERMINATED

### P28_INVALID_CHARACTER

    public static final int P28_INVALID_CHARACTER

### P30_INVALID_CHARACTER

    public static final int P30_INVALID_CHARACTER

### P9_INVALID_CHARACTER

    public static final int P9_INVALID_CHARACTER

### P51_UNTERMINATED

    public static final int P51_UNTERMINATED

### P69_NAME_REQUIRED

    public static final int P69_NAME_REQUIRED

### P69_SEMICOLON_REQUIRED

    public static final int P69_SEMICOLON_REQUIRED

### P75_INVALID

    public static final int P75_INVALID

### WFC_PES_IN_INTERNAL_SUBSET

    public static final int WFC_PES_IN_INTERNAL_SUBSET

### P22_INVALID_CHARACTER

    public static final int P22_INVALID_CHARACTER

### P27_INVALID_CHARACTER

    public static final int P27_INVALID_CHARACTER

### P20_INVALID_CHARACTER

    public static final int P20_INVALID_CHARACTER

### P43_INVALID_CHARACTER

    public static final int P43_INVALID_CHARACTER

### P39_UNTERMINATED

    public static final int P39_UNTERMINATED

### P42_UNTERMINATED

    public static final int P42_UNTERMINATED

### P81_NOT_SUPPORTED

    public static final int P81_NOT_SUPPORTED

### WFC_ENTITY_DECLARED

    public static final int WFC_ENTITY_DECLARED

### VC_ENTITY_DECLARED

    public static final int VC_ENTITY_DECLARED

### WFC_PARSED_ENTITY

    public static final int WFC_PARSED_ENTITY

### WFC_NO_EXTERNAL_ENTITY_REFERENCES

    public static final int WFC_NO_EXTERNAL_ENTITY_REFERENCES

### P33_INVALID

    public static final int P33_INVALID

### P18_UNTERMINATED

    public static final int P18_UNTERMINATED

### VC_NO_DUPLICATE_TYPES

    public static final int VC_NO_DUPLICATE_TYPES

### P78_NOT_WELLFORMED

    public static final int P78_NOT_WELLFORMED

### VC_ID_ATTRIBUTE_DEFAULT

    public static final int VC_ID_ATTRIBUTE_DEFAULT

### P53_NAME_REQUIRED

    public static final int P53_NAME_REQUIRED

### P53_ATTTYPE_REQUIRED

    public static final int P53_ATTTYPE_REQUIRED

### P81_REQUIRED

    public static final int P81_REQUIRED

### WFC_NO_RECURSION

    public static final int WFC_NO_RECURSION

### VC_PROPER_DECLARATION_PE_NESTING

    public static final int VC_PROPER_DECLARATION_PE_NESTING

### VC_PROPER_GROUP_PE_NESTING

    public static final int VC_PROPER_GROUP_PE_NESTING

### VC_ID

    public static final int VC_ID

### VC_ENTITY_NAME

    public static final int VC_ENTITY_NAME

### VC_ATTRIBUTE_VALUE_TYPE

    public static final int VC_ATTRIBUTE_VALUE_TYPE

### VC_ELEMENT_VALID

    public static final int VC_ELEMENT_VALID

### VC_STANDALONE_DOCUMENT_DECLARATION

    public static final int VC_STANDALONE_DOCUMENT_DECLARATION

### VC_ONE_ID_PER_ELEMENT_TYPE

    public static final int VC_ONE_ID_PER_ELEMENT_TYPE

### VC_UNIQUE_ELEMENT_TYPE_DECLARATION

    public static final int VC_UNIQUE_ELEMENT_TYPE_DECLARATION

### P45_UNDECLARED_ELEMENT_IN_CONTENTSPEC

    public static final int P45_UNDECLARED_ELEMENT_IN_CONTENTSPEC

### VC_NOTATION_ATTRIBUTES

    public static final int VC_NOTATION_ATTRIBUTES

### P53_DUPLICATE

    public static final int P53_DUPLICATE

### VC_ENUMERATION

    public static final int VC_ENUMERATION

### VC_FIXED_ATTRIBUTE_DEFAULT

    public static final int VC_FIXED_ATTRIBUTE_DEFAULT

### VC_REQUIRED_ATTRIBUTE

    public static final int VC_REQUIRED_ATTRIBUTE

### VC_NOTATION_DECLARED

    public static final int VC_NOTATION_DECLARED

### P58_NAME_REQUIRED

    public static final int P58_NAME_REQUIRED

### P58_UNTERMINATED

    public static final int P58_UNTERMINATED

### P59_NMTOKEN_REQUIRED

    public static final int P59_NMTOKEN_REQUIRED

### P59_UNTERMINATED

    public static final int P59_UNTERMINATED

### P70_SPACE

    public static final int P70_SPACE

### P70_REQUIRED_NAME

    public static final int P70_REQUIRED_NAME

### P70_REQUIRED_SPACE

    public static final int P70_REQUIRED_SPACE

### P71_UNTERMINATED

    public static final int P71_UNTERMINATED

### P72_SPACE

    public static final int P72_SPACE

### P72_UNTERMINATED

    public static final int P72_UNTERMINATED

### P76_REQUIRED

    public static final int P76_REQUIRED

### P82_NAME_REQUIRED

    public static final int P82_NAME_REQUIRED

### P82_SPACE_REQUIRED

    public static final int P82_SPACE_REQUIRED

### P82_UNTERMINATED

    public static final int P82_UNTERMINATED

### P14_INVALID

    public static final int P14_INVALID

### P16_PITARGET_REQUIRED

    public static final int P16_PITARGET_REQUIRED

### P16_REQUIRED

    public static final int P16_REQUIRED

### P1_ELEMENT_REQUIRED

    public static final int P1_ELEMENT_REQUIRED

### P22_NOT_RECOGNIZED

    public static final int P22_NOT_RECOGNIZED

### P27_NOT_RECOGNIZED

    public static final int P27_NOT_RECOGNIZED

### P43_NOT_RECOGNIZED

    public static final int P43_NOT_RECOGNIZED

### P52_ELEMENT_TYPE_REQUIRED

    public static final int P52_ELEMENT_TYPE_REQUIRED

### P52_SPACE_REQUIRED

    public static final int P52_SPACE_REQUIRED

### P53_SPACE_REQUIRED

    public static final int P53_SPACE_REQUIRED

### P58_OPEN_PAREN_REQUIRED

    public static final int P58_OPEN_PAREN_REQUIRED

### P58_SPACE_REQUIRED

    public static final int P58_SPACE_REQUIRED

### P60_SPACE_REQUIRED

    public static final int P60_SPACE_REQUIRED

### S2_10_DECLARATION_ILLEGAL

    public static final int S2_10_DECLARATION_ILLEGAL

### P39_ELEMENT_TYPE_REQUIRED

    public static final int P39_ELEMENT_TYPE_REQUIRED

### P28_ROOT_ELEMENT_TYPE_REQUIRED

    public static final int P28_ROOT_ELEMENT_TYPE_REQUIRED

### P28_SPACE_REQUIRED

    public static final int P28_SPACE_REQUIRED

### P28_UNTERMINATED

    public static final int P28_UNTERMINATED

### P29_NOT_RECOGNIZED

    public static final int P29_NOT_RECOGNIZED

### P45_CONTENTSPEC_REQUIRED

    public static final int P45_CONTENTSPEC_REQUIRED

### P45_ELEMENT_TYPE_REQUIRED

    public static final int P45_ELEMENT_TYPE_REQUIRED

### P45_SPACE_REQUIRED

    public static final int P45_SPACE_REQUIRED

### P45_UNTERMINATED

    public static final int P45_UNTERMINATED

### P47_CLOSE_PAREN_REQUIRED

    public static final int P47_CLOSE_PAREN_REQUIRED

### P47_OPEN_PAREN_OR_ELEMENT_TYPE_REQUIRED

    public static final int P47_OPEN_PAREN_OR_ELEMENT_TYPE_REQUIRED

### P51_CLOSE_PAREN_REQUIRED

    public static final int P51_CLOSE_PAREN_REQUIRED

### P51_ELEMENT_TYPE_REQUIRED

    public static final int P51_ELEMENT_TYPE_REQUIRED

### P75_SPACE_REQUIRED

    public static final int P75_SPACE_REQUIRED

### P76_SPACE_REQUIRED

    public static final int P76_SPACE_REQUIRED

### P15_UNTERMINATED

    public static final int P15_UNTERMINATED

### P16_UNTERMINATED

    public static final int P16_UNTERMINATED

### P67_UNTERMINATED

    public static final int P67_UNTERMINATED

### P10_UNTERMINATED

    public static final int P10_UNTERMINATED

### P22_XMLDECL_MUST_BE_FIRST

    public static final int P22_XMLDECL_MUST_BE_FIRST

### P30_TEXTDECL_MUST_BE_FIRST

    public static final int P30_TEXTDECL_MUST_BE_FIRST

### P5_INVALID_CHARACTER

    public static final int P5_INVALID_CHARACTER

### P11_UNTERMINATED

    public static final int P11_UNTERMINATED

### P12_UNTERMINATED

    public static final int P12_UNTERMINATED

### P11_URI_FRAGMENT

    public static final int P11_URI_FRAGMENT

### VC_ONE_NOTATION_PER_ELEMENT_TYPE

    public static final int VC_ONE_NOTATION_PER_ELEMENT_TYPE

### NC_PREFIX_DECLARED

    public static final int NC_PREFIX_DECLARED

### VC_ATTRIBUTE_DEFAULT_LEGAL

    public static final int VC_ATTRIBUTE_DEFAULT_LEGAL

### SCHEMA_GENERIC_ERROR

    public static final int SCHEMA_GENERIC_ERROR

### NC_NAMESPACE_NAME_EMPTY

    public static final int NC_NAMESPACE_NAME_EMPTY

### WLS_MAX_ENTITY_REFS_EXCEEDED

    public static final int WLS_MAX_ENTITY_REFS_EXCEEDED

### CONSTRAINT_MAX_CODE

    public static final int CONSTRAINT_MAX_CODE

Constructor Detail

### XMLMessages

    public XMLMessages()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    setLocale in interface XMLMessageProvider

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    getLocale in interface XMLMessageProvider

### createMessage

    public java.lang.String createMessage(java.util.Locale locale,
                                          int majorCode,
                                          int minorCode,
                                          java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Specified by:
    createMessage in interface XMLMessageProvider

  Parameters:
    `locale` - The requested locale of the message to be created.
    `key` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference